
get
/v4/overrides/{id}/previous-configs
Get previous campaign configsGet all previous configs for a campaign, showing the opportunity each config was linked to before overrides
Path parameters
idstringrequired
Campaign Database ID to fetch previous configs for
Responses
200Array of previous campaign configurations with their linked opportunities
Schema
object[]Array of previous campaign configurations with their linked opportunities
idstringUnique ID of the previous config recordcampaignIdstringCampaign ID this config belongs toopportunityIdstringOpportunity ID the config was pointing toconfiganyPrevious campaign configuration snapshotoverrideTimestampstring | number | stringUnix timestamp when the override occurredOpportunityobject
idstringrequired
chainIdnumberrequired
typestringrequired
identifierstringrequired
namestringrequired
descriptionstringExample
[
{
"id": "string",
"campaignId": "string",
"opportunityId": "string",
"config": null,
"overrideTimestamp": "string",
"Opportunity": {
"id": "string",
"chainId": 0,
"type": "string",
"identifier": "string",
"name": "string",
"description": "string"
}
}
]get
https://api.merkl.xyz/v4/overrides//previous-configscurl -X GET "https://api.merkl.xyz/v4/overrides/7772424586270261909/previous-configs"